Debian Bug report logs - #546905
wiki.debian.org: Table Of Contents Ignores Section Numbers Pragma

Package: wiki.debian.org; Maintainer for wiki.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: anatoly <techtonik@php.net>

Date: Wed, 16 Sep 2009 12:09:02 UTC

Severity: important

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://moinmo.in/MoinMoinBugs/TableOfContentsIgnoresSectionNumbersPragma

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, techtonik@php.net, techtonik@php.net, Debian WWW Team <debian-www@lists.debian.org>:
Bug#546905; Package wiki.debian.org. (Wed, 16 Sep 2009 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to anatoly <techtonik@php.net>:
New Bug report received and forwarded. Copy sent to techtonik@php.net, techtonik@php.net, Debian WWW Team <debian-www@lists.debian.org>. (Wed, 16 Sep 2009 12:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: anatoly <techtonik@php.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wiki.debian.org: Table Of Contents Ignores Section Numbers Pragma
Date: Wed, 16 Sep 2009 06:56:20 -0500
Package: wiki.debian.org
Severity: important

#pragme section-numbers used to limit the scope of generated Table of Contents have no effect. The bug is 
described at http://moinmo.in/MoinMoinBugs/TableOfContentsIgnoresSectionNumbersPragma and is fixed in MoinMoin 
1.8.3 - http://hg.moinmo.in/moin/1.8/raw-file/1.8.5/docs/CHANGES

We currently need this fix for http://wiki.debian.org/DebianPythonFAQ page.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'oldstable'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash




Set Bug forwarded-to-address to 'http://moinmo.in/MoinMoinBugs/TableOfContentsIgnoresSectionNumbersPragma'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 20 Oct 2009 18:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#546905; Package wiki.debian.org. (Tue, 20 Oct 2009 18:12:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 20 Oct 2009 18:12:19 GMT) Full text and rfc822 format available.

Message #12 received at 546905@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: anatoly <techtonik@php.net>
Cc: 546905@bugs.debian.org
Subject: wiki.debian.org: 546905: workaround
Date: Wed, 21 Oct 2009 02:06:36 +0800
[Message part 1 (text/plain, inline)]
Hi antoly,

Is using 2 instead of 3 in the parameter to TableOfContents an
acceptable workaround for #pragma section-number being ignored? If not,
this will probably not get fixed on wiki.debian.org until squeeze is
released or we get a more compelling reason to switch to a backport.

<<TableOfContents(2)>>

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#546905; Package wiki.debian.org. (Tue, 20 Oct 2009 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to techtonik <techtonik@php.net>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 20 Oct 2009 23:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 546905@bugs.debian.org (full text, mbox):

From: techtonik <techtonik@php.net>
To: Paul Wise <pabs@debian.org>
Cc: 546905@bugs.debian.org
Subject: Re: wiki.debian.org: 546905: workaround
Date: Wed, 21 Oct 2009 02:33:14 +0300
Hi Paul,

On Tue, Oct 20, 2009 at 9:06 PM, Paul Wise <pabs@debian.org> wrote:
>
> Is using 2 instead of 3 in the parameter to TableOfContents an
> acceptable workaround for #pragma section-number being ignored?

No, because FAQ page is a document - not like an ordinary wiki page
users are often confused with, so the title should stand out very
clearly with <H1> and we don't want this <H1> to appear in TOC.

> If not,
> this will probably not get fixed on wiki.debian.org until squeeze is
> released or we get a more compelling reason to switch to a backport.

There could be no one compelling reason, but a critical mass of them.
The problem is too see that the mass has already been reached, before
too many users lose interest in keeping docs tidy, concise and up to
date.

--anatoly t.




Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Sat, 26 Mar 2011 03:57:07 GMT) Full text and rfc822 format available.

Notification sent to anatoly <techtonik@php.net>:
Bug acknowledged by developer. (Sat, 26 Mar 2011 03:57:07 GMT) Full text and rfc822 format available.

Message #22 received at 546905-done@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 546905-done@bugs.debian.org
Subject: wiki upgraded, bug fixed
Date: Sat, 26 Mar 2011 11:52:47 +0800
[Message part 1 (text/plain, inline)]
With the recent upgrade of wiki.d.o to moin from squeeze, this bug has
been fixed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Apr 2011 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:36:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.